Index: /trunk/sources/HeuristicLab.Optimization/3.3/HeuristicLab.Optimization-3.3.csproj
===================================================================
--- /trunk/sources/HeuristicLab.Optimization/3.3/HeuristicLab.Optimization-3.3.csproj	(revision 3615)
+++ /trunk/sources/HeuristicLab.Optimization/3.3/HeuristicLab.Optimization-3.3.csproj	(revision 3616)
@@ -87,4 +87,5 @@
     <Compile Include="Algorithm.cs" />
     <Compile Include="BatchRun.cs" />
+    <Compile Include="Interfaces\IAnalyzer.cs" />
     <Compile Include="RunCollectionComparisonConstraint.cs" />
     <Compile Include="RunCollectionConstraintCollection.cs" />
@@ -107,8 +108,5 @@
     <Compile Include="RunCollection.cs" />
     <Compile Include="Run.cs" />
-    <Compile Include="Interfaces\IMultiObjectiveSolutionsVisualizer.cs" />
     <Compile Include="Interfaces\IResult.cs" />
-    <Compile Include="Interfaces\ISingleObjectiveSolutionsVisualizer.cs" />
-    <Compile Include="Interfaces\ISolutionsVisualizer.cs" />
     <Compile Include="Interfaces\IDiscreteDoubleValueModifier.cs" />
     <Compile Include="Interfaces\IExhaustiveMoveGenerator.cs" />
Index: /trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IAnalyzer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IAnalyzer.cs	(revision 3616)
+++ /trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IAnalyzer.cs	(revision 3616)
@@ -0,0 +1,29 @@
+#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.Core;
+
+namespace HeuristicLab.Optimization {
+  /// <summary>
+  /// An interface which represents an analysis operator.
+  /// </summary>
+  public interface IAnalyzer : IOperator { }
+}
Index: /trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IProblem.cs
===================================================================
--- /trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IProblem.cs	(revision 3615)
+++ /trunk/sources/HeuristicLab.Optimization/3.3/Interfaces/IProblem.cs	(revision 3616)
@@ -34,11 +34,8 @@
     IParameter EvaluatorParameter { get; }
     IEvaluator Evaluator { get; }
-    IParameter VisualizerParameter { get; }
-    ISolutionsVisualizer Visualizer { get; }
     IEnumerable<IOperator> Operators { get; }
 
     event EventHandler SolutionCreatorChanged;
     event EventHandler EvaluatorChanged;
-    event EventHandler VisualizerChanged;
     event EventHandler OperatorsChanged;
   }
Index: /trunk/sources/HeuristicLab.Problems.ArtificialAnt/3.3/ArtificialAntProblem.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.ArtificialAnt/3.3/ArtificialAntProblem.cs	(revision 3615)
+++ /trunk/sources/HeuristicLab.Problems.ArtificialAnt/3.3/ArtificialAntProblem.cs	(revision 3616)
@@ -125,10 +125,4 @@
     }
 
-    public OptionalValueParameter<ISingleObjectiveSolutionsVisualizer> VisualizerParameter {
-      get { return (OptionalValueParameter<ISingleObjectiveSolutionsVisualizer>)Parameters["Visualizer"]; }
-    }
-    IParameter IProblem.VisualizerParameter {
-      get { return VisualizerParameter; }
-    }
     public ValueParameter<DoubleValue> BestKnownQualityParameter {
       get { return (ValueParameter<DoubleValue>)Parameters["BestKnownQuality"]; }
@@ -184,11 +178,4 @@
       get { return (GlobalSymbolicExpressionGrammar)ArtificialAntExpressionGrammarParameter.Value; }
     }
-    public ISingleObjectiveSolutionsVisualizer Visualizer {
-      get { return VisualizerParameter.Value; }
-      set { VisualizerParameter.Value = value; }
-    }
-    ISolutionsVisualizer IProblem.Visualizer {
-      get { return VisualizerParameter.Value; }
-    }
     public DoubleValue BestKnownQuality {
       get { return BestKnownQualityParameter.Value; }
@@ -204,5 +191,4 @@
       SymbolicExpressionTreeCreator creator = new ProbabilisticTreeCreator();
       Evaluator evaluator = new Evaluator();
-      BestAntTrailVisualizer visualizer = new BestAntTrailVisualizer();
       BoolMatrix world = new BoolMatrix(santaFeAntTrail);
       ISymbolicExpressionGrammar grammar = new GlobalSymbolicExpressionGrammar(new ArtificialAntExpressionGrammar());
@@ -218,5 +204,4 @@
       Parameters.Add(new ValueParameter<BoolMatrix>("World", "The world for the artificial ant with scattered food items.", world));
       Parameters.Add(new ValueParameter<IntValue>("MaxTimeSteps", "The number of time steps the artificial ant has available to collect all food items.", new IntValue(600)));
-      Parameters.Add(new ValueParameter<ISingleObjectiveSolutionsVisualizer>("Visualizer", "The operator which should be used to visualize artificial ant solutions.", visualizer));
 
       creator.SymbolicExpressionTreeParameter.ActualName = "AntTrailSolution";
@@ -251,10 +236,4 @@
         changed(this, EventArgs.Empty);
     }
-    public event EventHandler VisualizerChanged;
-    private void OnVisualizerChanged() {
-      var changed = VisualizerChanged;
-      if (changed != null)
-        changed(this, EventArgs.Empty);
-    }
 
     public event EventHandler OperatorsChanged;
@@ -283,9 +262,4 @@
       ParameterizeVisualizer();
       OnEvaluatorChanged();
-    }
-
-    private void VisualizerParameter_ValueChanged(object sender, EventArgs e) {
-      ParameterizeVisualizer();
-      OnVisualizerChanged();
     }
 
@@ -304,5 +278,4 @@
       EvaluatorParameter.ValueChanged += new EventHandler(EvaluatorParameter_ValueChanged);
       Evaluator.QualityParameter.ActualNameChanged += new EventHandler(Evaluator_QualityParameter_ActualNameChanged);
-      VisualizerParameter.ValueChanged += new EventHandler(VisualizerParameter_ValueChanged);
       MaxFunctionArgumentsParameter.ValueChanged += new EventHandler(MaxFunctionArgumentsParameter_ValueChanged);
       MaxFunctionArguments.ValueChanged += new EventHandler(MaxFunctionArgumentsParameter_ValueChanged);
@@ -336,17 +309,17 @@
     }
     private void ParameterizeVisualizer() {
-      if (Visualizer != null) {
-        Visualizer.QualityParameter.ActualName = Evaluator.QualityParameter.ActualName;
-        var antTrailVisualizer = Visualizer as IAntTrailVisualizer;
-        if (antTrailVisualizer != null) {
-          antTrailVisualizer.SymbolicExpressionTreeParameter.ActualName = SolutionCreator.SymbolicExpressionTreeParameter.ActualName;
-          antTrailVisualizer.WorldParameter.ActualName = WorldParameter.Name;
-          antTrailVisualizer.MaxTimeStepsParameter.ActualName = MaxTimeStepsParameter.Name;
-        }
-        var bestSymExpressionVisualizer = Visualizer as BestSymbolicExpressionTreeVisualizer;
-        if (bestSymExpressionVisualizer != null) {
-          bestSymExpressionVisualizer.SymbolicExpressionTreeParameter.ActualName = SolutionCreator.SymbolicExpressionTreeParameter.ActualName;
-        }
-      }
+      //if (Visualizer != null) {
+      //  Visualizer.QualityParameter.ActualName = Evaluator.QualityParameter.ActualName;
+      //  var antTrailVisualizer = Visualizer as IAntTrailVisualizer;
+      //  if (antTrailVisualizer != null) {
+      //    antTrailVisualizer.SymbolicExpressionTreeParameter.ActualName = SolutionCreator.SymbolicExpressionTreeParameter.ActualName;
+      //    antTrailVisualizer.WorldParameter.ActualName = WorldParameter.Name;
+      //    antTrailVisualizer.MaxTimeStepsParameter.ActualName = MaxTimeStepsParameter.Name;
+      //  }
+      //  var bestSymExpressionVisualizer = Visualizer as BestSymbolicExpressionTreeVisualizer;
+      //  if (bestSymExpressionVisualizer != null) {
+      //    bestSymExpressionVisualizer.SymbolicExpressionTreeParameter.ActualName = SolutionCreator.SymbolicExpressionTreeParameter.ActualName;
+      //  }
+      //}
     }
 
Index: /trunk/sources/HeuristicLab.Problems.ArtificialAnt/3.3/BestAntTrailVisualizer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.ArtificialAnt/3.3/BestAntTrailVisualizer.cs	(revision 3615)
+++ /trunk/sources/HeuristicLab.Problems.ArtificialAnt/3.3/BestAntTrailVisualizer.cs	(revision 3616)
@@ -53,7 +53,4 @@
       get { return (ILookupParameter<AntTrail>)Parameters["AntTrail"]; }
     }
-    ILookupParameter ISolutionsVisualizer.VisualizationParameter {
-      get { return AntTrailParameter; }
-    }
 
     public BestAntTrailVisualizer()
Index: /trunk/sources/HeuristicLab.Problems.ArtificialAnt/3.3/BestSymbolicExpressionTreeVisualizer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.ArtificialAnt/3.3/BestSymbolicExpressionTreeVisualizer.cs	(revision 3615)
+++ /trunk/sources/HeuristicLab.Problems.ArtificialAnt/3.3/BestSymbolicExpressionTreeVisualizer.cs	(revision 3616)
@@ -36,5 +36,5 @@
   [Item("BestSymbolicExpressionTreeVisualizer", "An operator for visualizing the best symbolic expression tree of an artificial ant problem.")]
   [StorableClass]
-  public sealed class BestSymbolicExpressionTreeVisualizer : SingleSuccessorOperator, ISingleObjectiveSolutionsVisualizer, ISolutionsVisualizer {
+  public sealed class BestSymbolicExpressionTreeVisualizer : SingleSuccessorOperator, IAnalyzer {
     public ILookupParameter<ItemArray<SymbolicExpressionTree>> SymbolicExpressionTreeParameter {
       get { return (ILookupParameter<ItemArray<SymbolicExpressionTree>>)Parameters["SymbolicExpressionTree"]; }
@@ -45,7 +45,4 @@
     public ILookupParameter<SymbolicExpressionTree> BestSymbolicExpressionTreeParameter {
       get { return (ILookupParameter<SymbolicExpressionTree>)Parameters["BestSymbolicExpressionTree"]; }
-    }
-    ILookupParameter ISolutionsVisualizer.VisualizationParameter {
-      get { return BestSymbolicExpressionTreeParameter; }
     }
 
Index: /trunk/sources/HeuristicLab.Problems.ArtificialAnt/3.3/IAntTrailVisualizer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.ArtificialAnt/3.3/IAntTrailVisualizer.cs	(revision 3615)
+++ /trunk/sources/HeuristicLab.Problems.ArtificialAnt/3.3/IAntTrailVisualizer.cs	(revision 3616)
@@ -28,5 +28,5 @@
 
 namespace HeuristicLab.Problems.ArtificialAnt {
-  public interface IAntTrailVisualizer : ISolutionsVisualizer, ISingleObjectiveSolutionsVisualizer {
+  public interface IAntTrailVisualizer : IAnalyzer {
     ILookupParameter<ItemArray<SymbolicExpressionTree>> SymbolicExpressionTreeParameter { get; }
     ILookupParameter<BoolMatrix> WorldParameter { get; }
Index: /trunk/sources/HeuristicLab.Problems.DataAnalysis.Regression/3.3/Symbolic/BestValidationSymbolicRegressionSolutionVisualizer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.DataAnalysis.Regression/3.3/Symbolic/BestValidationSymbolicRegressionSolutionVisualizer.cs	(revision 3615)
+++ /trunk/sources/HeuristicLab.Problems.DataAnalysis.Regression/3.3/Symbolic/BestValidationSymbolicRegressionSolutionVisualizer.cs	(revision 3616)
@@ -42,5 +42,5 @@
   [Item("BestSymbolicExpressionTreeVisualizer", "An operator for visualizing the best symbolic regression solution based on the validation set.")]
   [StorableClass]
-  public sealed class BestValidationSymbolicRegressionSolutionVisualizer : SingleSuccessorOperator, ISingleObjectiveSolutionsVisualizer, ISolutionsVisualizer {
+  public sealed class BestValidationSymbolicRegressionSolutionVisualizer : SingleSuccessorOperator, IAnalyzer {
     private const string SymbolicExpressionTreeInterpreterParameterName = "SymbolicExpressionTreeInterpreter";
     private const string UpperEstimationLimitParameterName = "UpperEstimationLimit";
@@ -88,7 +88,4 @@
     public ILookupParameter<SymbolicRegressionSolution> BestValidationSolutionParameter {
       get { return (ILookupParameter<SymbolicRegressionSolution>)Parameters[BestValidationSolutionParameterName]; }
-    }
-    ILookupParameter ISolutionsVisualizer.VisualizationParameter {
-      get { return BestValidationSolutionParameter; }
     }
 
Index: /trunk/sources/HeuristicLab.Problems.DataAnalysis.Regression/3.3/Symbolic/SymbolicRegressionProblem.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.DataAnalysis.Regression/3.3/Symbolic/SymbolicRegressionProblem.cs	(revision 3615)
+++ /trunk/sources/HeuristicLab.Problems.DataAnalysis.Regression/3.3/Symbolic/SymbolicRegressionProblem.cs	(revision 3616)
@@ -89,10 +89,4 @@
       get { return (ValueParameter<IntValue>)Parameters["MaxFunctionArguments"]; }
     }
-    public OptionalValueParameter<ISingleObjectiveSolutionsVisualizer> VisualizerParameter {
-      get { return (OptionalValueParameter<ISingleObjectiveSolutionsVisualizer>)Parameters["Visualizer"]; }
-    }
-    IParameter IProblem.VisualizerParameter {
-      get { return VisualizerParameter; }
-    }
     public OptionalValueParameter<DoubleValue> BestKnownQualityParameter {
       get { return (OptionalValueParameter<DoubleValue>)Parameters["BestKnownQuality"]; }
@@ -152,11 +146,4 @@
     public ISymbolicExpressionGrammar FunctionTreeGrammar {
       get { return (ISymbolicExpressionGrammar)FunctionTreeGrammarParameter.Value; }
-    }
-    public ISingleObjectiveSolutionsVisualizer Visualizer {
-      get { return VisualizerParameter.Value; }
-      set { VisualizerParameter.Value = value; }
-    }
-    ISolutionsVisualizer IProblem.Visualizer {
-      get { return VisualizerParameter.Value; }
     }
     public DoubleValue BestKnownQuality {
@@ -207,5 +194,4 @@
       Parameters.Add(new ValueParameter<IntValue>("MaxFunctionDefiningBranches", "Maximal number of automatically defined functions.", (IntValue)new IntValue(0).AsReadOnly()));
       Parameters.Add(new ValueParameter<IntValue>("MaxFunctionArguments", "Maximal number of arguments of automatically defined functions.", (IntValue)new IntValue(0).AsReadOnly()));
-      Parameters.Add(new ValueParameter<ISingleObjectiveSolutionsVisualizer>("Visualizer", "The operator which should be used to visualize symbolic regression solutions.", visualizer));
 
       creator.SymbolicExpressionTreeParameter.ActualName = "SymbolicRegressionModel";
@@ -240,5 +226,4 @@
       SolutionCreatorParameter.ValueChanged += new EventHandler(SolutionCreatorParameter_ValueChanged);
       EvaluatorParameter.ValueChanged += new EventHandler(EvaluatorParameter_ValueChanged);
-      VisualizerParameter.ValueChanged += new EventHandler(VisualizerParameter_ValueChanged);
     }
 
@@ -288,8 +273,4 @@
       ParameterizeVisualizer();
     }
-    protected virtual void OnVisualizerChanged(EventArgs e) {
-      ParameterizeVisualizer();
-      RaiseVisualizerChanged(e);
-    }
     #endregion
 
@@ -303,7 +284,4 @@
     private void EvaluatorParameter_ValueChanged(object sender, EventArgs e) {
       OnEvaluatorChanged(e);
-    }
-    private void VisualizerParameter_ValueChanged(object sender, EventArgs e) {
-      OnVisualizerChanged(e);
     }
     private void ArchitectureParameter_ValueChanged(object sender, EventArgs e) {
@@ -325,10 +303,4 @@
     private void RaiseEvaluatorChanged(EventArgs e) {
       var changed = EvaluatorChanged;
-      if (changed != null)
-        changed(this, e);
-    }
-    public event EventHandler VisualizerChanged;
-    private void RaiseVisualizerChanged(EventArgs e) {
-      var changed = VisualizerChanged;
       if (changed != null)
         changed(this, e);
@@ -394,15 +366,15 @@
 
     private void ParameterizeVisualizer() {
-      var solutionVisualizer = Visualizer as BestValidationSymbolicRegressionSolutionVisualizer;
-      if (solutionVisualizer != null) {
-        solutionVisualizer.SymbolicExpressionTreeParameter.ActualName = SolutionCreator.SymbolicExpressionTreeParameter.ActualName;
-        solutionVisualizer.DataAnalysisProblemDataParameter.ActualName = DataAnalysisProblemDataParameter.Name;
-        solutionVisualizer.UpperEstimationLimitParameter.ActualName = UpperEstimationLimitParameter.Name;
-        solutionVisualizer.LowerEstimationLimitParameter.ActualName = LowerEstimationLimitParameter.Name;
-        solutionVisualizer.QualityParameter.ActualName = Evaluator.QualityParameter.Name;
-        solutionVisualizer.SymbolicExpressionTreeInterpreterParameter.ActualName = SymbolicExpressionTreeInterpreterParameter.Name;
-        solutionVisualizer.ValidationSamplesStartParameter.Value = ValidationSamplesStart;
-        solutionVisualizer.ValidationSamplesEndParameter.Value = ValidationSamplesEnd;
-      }
+      //var solutionVisualizer = Visualizer as BestValidationSymbolicRegressionSolutionVisualizer;
+      //if (solutionVisualizer != null) {
+      //  solutionVisualizer.SymbolicExpressionTreeParameter.ActualName = SolutionCreator.SymbolicExpressionTreeParameter.ActualName;
+      //  solutionVisualizer.DataAnalysisProblemDataParameter.ActualName = DataAnalysisProblemDataParameter.Name;
+      //  solutionVisualizer.UpperEstimationLimitParameter.ActualName = UpperEstimationLimitParameter.Name;
+      //  solutionVisualizer.LowerEstimationLimitParameter.ActualName = LowerEstimationLimitParameter.Name;
+      //  solutionVisualizer.QualityParameter.ActualName = Evaluator.QualityParameter.Name;
+      //  solutionVisualizer.SymbolicExpressionTreeInterpreterParameter.ActualName = SymbolicExpressionTreeInterpreterParameter.Name;
+      //  solutionVisualizer.ValidationSamplesStartParameter.Value = ValidationSamplesStart;
+      //  solutionVisualizer.ValidationSamplesEndParameter.Value = ValidationSamplesEnd;
+      //}
     }
 
Index: /trunk/sources/HeuristicLab.Problems.Knapsack/3.3/Interfaces/IKnapsackSolutionsVisualizer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.Knapsack/3.3/Interfaces/IKnapsackSolutionsVisualizer.cs	(revision 3615)
+++ /trunk/sources/HeuristicLab.Problems.Knapsack/3.3/Interfaces/IKnapsackSolutionsVisualizer.cs	(revision 3616)
@@ -29,5 +29,5 @@
   /// An interface which represents an operator for visualizing solutions of Knapsack Problems.
   /// </summary>
-  public interface IKnapsackSolutionsVisualizer : ISingleObjectiveSolutionsVisualizer {
+  public interface IKnapsackSolutionsVisualizer : IAnalyzer {
     ILookupParameter<ItemArray<BinaryVector>> BinaryVectorParameter { get; }
     ILookupParameter<IntValue> KnapsackCapacityParameter { get; }
Index: /trunk/sources/HeuristicLab.Problems.Knapsack/3.3/KnapsackProblem.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.Knapsack/3.3/KnapsackProblem.cs	(revision 3615)
+++ /trunk/sources/HeuristicLab.Problems.Knapsack/3.3/KnapsackProblem.cs	(revision 3616)
@@ -74,10 +74,4 @@
       get { return EvaluatorParameter; }
     }
-    public OptionalValueParameter<IKnapsackSolutionsVisualizer> VisualizerParameter {
-      get { return (OptionalValueParameter<IKnapsackSolutionsVisualizer>)Parameters["Visualizer"]; }
-    }
-    IParameter IProblem.VisualizerParameter {
-      get { return VisualizerParameter; }
-    }  
     public OptionalValueParameter<DoubleValue> BestKnownQualityParameter {
       get { return (OptionalValueParameter<DoubleValue>)Parameters["BestKnownQuality"]; }
@@ -122,11 +116,4 @@
       get { return EvaluatorParameter.Value; }
     }
-    public IKnapsackSolutionsVisualizer Visualizer {
-      get { return VisualizerParameter.Value; }
-      set { VisualizerParameter.Value = value; }
-    }
-    ISolutionsVisualizer IProblem.Visualizer {
-      get { return VisualizerParameter.Value; }
-    } 
     public DoubleValue BestKnownQuality {
       get { return BestKnownQualityParameter.Value; }
@@ -165,5 +152,4 @@
       RandomBinaryVectorCreator creator = new RandomBinaryVectorCreator();
       KnapsackEvaluator evaluator = new KnapsackEvaluator();
-      IKnapsackSolutionsVisualizer visualizer = new BestKnapsackVisualizer();
 
       Parameters.Add(new ValueParameter<BoolValue>("Maximization", "Set to true as the Knapsack Problem is a maximization problem.", new BoolValue(true)));
@@ -175,5 +161,4 @@
       Parameters.Add(new ValueParameter<IKnapsackEvaluator>("Evaluator", "The operator which should be used to evaluate Knapsack solutions.", evaluator));
       Parameters.Add(new OptionalValueParameter<DoubleValue>("BestKnownQuality", "The quality of the best known solution of this Knapsack instance."));
-      Parameters.Add(new ValueParameter<IKnapsackSolutionsVisualizer>("Visualizer", "The operator which should be used to visualize Knapsack solutions.", visualizer));
 
       creator.BinaryVectorParameter.ActualName = "KnapsackSolution";
@@ -208,9 +193,4 @@
         EvaluatorChanged(this, EventArgs.Empty);
     }
-    public event EventHandler VisualizerChanged;
-    private void OnVisualizerChanged() {
-      if (VisualizerChanged != null)
-        VisualizerChanged(this, EventArgs.Empty);
-    }
 
     public event EventHandler OperatorsChanged;
@@ -270,7 +250,4 @@
     void PenaltyParameter_ValueChanged(object sender, EventArgs e) {
       ParameterizeEvaluator();
-    }
-    void VisualizerParameter_ValueChanged(object sender, EventArgs e) {
-      OnVisualizerChanged();
     }
     void OneBitflipMoveParameter_ActualNameChanged(object sender, EventArgs e) {
@@ -295,5 +272,4 @@
       ValuesParameter.Value.Reset += new EventHandler(ValuesValue_Reset);
       PenaltyParameter.ValueChanged += new EventHandler(PenaltyParameter_ValueChanged);
-      VisualizerParameter.ValueChanged += new EventHandler(VisualizerParameter_ValueChanged);
     }
     private void ParameterizeSolutionCreator() {
@@ -314,12 +290,12 @@
     }
     private void ParameterizeVisualizer() {
-      if (Visualizer is IKnapsackSolutionsVisualizer) {
-        IKnapsackSolutionsVisualizer visualizer =
-          (IKnapsackSolutionsVisualizer)Visualizer;
-        visualizer.BinaryVectorParameter.ActualName = SolutionCreator.BinaryVectorParameter.ActualName;
-        visualizer.KnapsackCapacityParameter.ActualName = KnapsackCapacityParameter.Name;
-        visualizer.WeightsParameter.ActualName = WeightsParameter.Name;
-        visualizer.ValuesParameter.ActualName = ValuesParameter.Name;
-      }
+      //if (Visualizer is IKnapsackSolutionsVisualizer) {
+      //  IKnapsackSolutionsVisualizer visualizer =
+      //    (IKnapsackSolutionsVisualizer)Visualizer;
+      //  visualizer.BinaryVectorParameter.ActualName = SolutionCreator.BinaryVectorParameter.ActualName;
+      //  visualizer.KnapsackCapacityParameter.ActualName = KnapsackCapacityParameter.Name;
+      //  visualizer.WeightsParameter.ActualName = WeightsParameter.Name;
+      //  visualizer.ValuesParameter.ActualName = ValuesParameter.Name;
+      //}
     }
     private void InitializeOperators() {
Index: /trunk/sources/HeuristicLab.Problems.Knapsack/3.3/Visualizers/BestKnapsackVisualizer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.Knapsack/3.3/Visualizers/BestKnapsackVisualizer.cs	(revision 3615)
+++ /trunk/sources/HeuristicLab.Problems.Knapsack/3.3/Visualizers/BestKnapsackVisualizer.cs	(revision 3616)
@@ -59,8 +59,4 @@
     }
 
-    ILookupParameter ISolutionsVisualizer.VisualizationParameter {
-      get { return KnapsackSolutionParameter; }
-    }
-
     public BestKnapsackVisualizer()
       : base() {
Index: /trunk/sources/HeuristicLab.Problems.OneMax/3.3/Interfaces/IOneMaxSolutionsVisualizer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.OneMax/3.3/Interfaces/IOneMaxSolutionsVisualizer.cs	(revision 3615)
+++ /trunk/sources/HeuristicLab.Problems.OneMax/3.3/Interfaces/IOneMaxSolutionsVisualizer.cs	(revision 3616)
@@ -26,4 +26,4 @@
   /// An interface which represents an operator for visualizing solutions of OneMax Problems.
   /// </summary>
-  public interface IOneMaxSolutionsVisualizer : ISingleObjectiveSolutionsVisualizer { }
+  public interface IOneMaxSolutionsVisualizer : IAnalyzer { }
 }
Index: /trunk/sources/HeuristicLab.Problems.OneMax/3.3/OnemaxProblem.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.OneMax/3.3/OnemaxProblem.cs	(revision 3615)
+++ /trunk/sources/HeuristicLab.Problems.OneMax/3.3/OnemaxProblem.cs	(revision 3616)
@@ -64,10 +64,4 @@
       get { return EvaluatorParameter; }
     }
-    public OptionalValueParameter<IOneMaxSolutionsVisualizer> VisualizerParameter {
-      get { return (OptionalValueParameter<IOneMaxSolutionsVisualizer>)Parameters["Visualizer"]; }
-    }
-    IParameter IProblem.VisualizerParameter {
-      get { return VisualizerParameter; }
-    }  
     public ValueParameter<DoubleValue> BestKnownQualityParameter {
       get { return (ValueParameter<DoubleValue>)Parameters["BestKnownQuality"]; }
@@ -100,11 +94,4 @@
       get { return EvaluatorParameter.Value; }
     }
-    public IOneMaxSolutionsVisualizer Visualizer {
-      get { return VisualizerParameter.Value; }
-      set { VisualizerParameter.Value = value; }
-    }
-    ISolutionsVisualizer IProblem.Visualizer {
-      get { return VisualizerParameter.Value; }
-    } 
     public DoubleValue BestKnownQuality {
       get { return BestKnownQualityParameter.Value; }
@@ -126,5 +113,4 @@
       Parameters.Add(new ValueParameter<IOneMaxEvaluator>("Evaluator", "The operator which should be used to evaluate OneMax solutions.", evaluator));
       Parameters.Add(new ValueParameter<DoubleValue>("BestKnownQuality", "The quality of the best known solution of this OneMax instance.", new DoubleValue(5)));
-      Parameters.Add(new ValueParameter<IOneMaxSolutionsVisualizer>("Visualizer", "The operator which should be used to visualize OneMax solutions.", null));
 
       creator.BinaryVectorParameter.ActualName = "OneMaxSolution";
@@ -156,9 +142,4 @@
         EvaluatorChanged(this, EventArgs.Empty);
     }
-    public event EventHandler VisualizerChanged;
-    private void OnVisualizerChanged() {
-      if (VisualizerChanged != null)
-        VisualizerChanged(this, EventArgs.Empty);
-    }
 
     public event EventHandler OperatorsChanged;
@@ -193,7 +174,4 @@
     void BestKnownQualityParameter_ValueChanged(object sender, EventArgs e) {
       BestKnownQualityParameter.Value.Value = Length.Value;
-    }
-    void VisualizerParameter_ValueChanged(object sender, EventArgs e) {
-      OnVisualizerChanged();
     }
     void OneBitflipMoveParameter_ActualNameChanged(object sender, EventArgs e) {
@@ -216,5 +194,4 @@
       BestKnownQualityParameter.Value.Value = Length.Value;
       BestKnownQualityParameter.ValueChanged += new EventHandler(BestKnownQualityParameter_ValueChanged);
-      VisualizerParameter.ValueChanged += new EventHandler(VisualizerParameter_ValueChanged);
     }
     private void ParameterizeSolutionCreator() {
Index: /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/ISingleObjectiveTestFunctionProblemSolutionsVisualizer.cs
===================================================================
--- /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/ISingleObjectiveTestFunctionProblemSolutionsVisualizer.cs	(revision 3615)
+++ /trunk/sources/HeuristicLab.Problems.TestFunctions/3.3/Interfaces/ISingleObjectiveTestFunctionProblemSolutionsVisualizer.cs	(revision 3616)
@@ -29,5 +29,5 @@
   /// An interface which represents an operator for visualizing solutions of single objective test functions.
   /// </summary>
-  public interface ISingleObjectiveTestFunctionProblemSolutionsVisualizer : ISingleObjectiveSolutionsVisualizer {
+  public interface ISingleObjectiveTestFunctionProblemSolutionsVisualizer : IAnalyzer {
     ILookupParameter<RealVector> PointParameter { get; }
   }
